Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02218 Known Issues/To-Do's Minor Always Sep 9, 2008, 14:37 Jun 29, 2017, 07:27
Tester stephh View Status Public Platform
Assigned To Resolution Bugs That Aren't Bugs OS
Status [?] Resolved Driver slapfght.cpp
Version N/A Fixed in Version 0.187 Build
Summary 02218: gtstarb2: Ingame bugs (bad MCU simulation)
Description   - Patches are coded diffrently than in 'gtstarb1' and code isn't always perfect (lazy coding ?) which causes LOTS of ingames bugs or strange behaviours :
      * patched command 0x20 : NO continue play
      * patched command 0x21 : as soon as a player loses all his lives, the game is over (even if other player still has lives)
      * patched command 0x22 : difficulty is ALWAYS set to "Easy" at start so "Difficulty" Dip Switches have no effect when you are playing (it still has an effect in the "test mode" though)
      * patched command 0x23 : different lives settings (thus the need of a specific INPUT_PORTS definition for this game)
      * patched command 0x25 : right and down directions are swapped (thus the need of a specific INPUT_PORTS definition for this game)
      * patched command 0x2a : player flag (which determines if player 1 or player 2 is playing) is NOT updated, causing the following things :
          . current player score will ALWAYS be displayed under player 1
          . when cabinet is set to "Cocktail", player 2 uses player 1 inputs
      * patched command 0x38 : laser position does NOT change according to player position (it ALWAYS starts from the middle of the screen)
Steps To Reproduce
Additional Information
Flags Noted in Source
Regression Version
Affected Sets / Systems gtstarb2
Attached Files
 
Relationships
related to 00360Resolvedstephh gtstarb2: When you get the bonus lazer pistol, the pistol fire like your character is placed in the 1/3 of the screen in. 
Notes
2
User avatar
No.13948
Haze
Senior Tester
Jun 28, 2017, 19:54
edited on: Jun 28, 2017, 19:54
this is still 'bugs that aren't bugs' it shouldn't be changed to 'fixed' it's a feature of the bootleg because the bootleggers didn't understand the protection.

User avatar
No.13949
Fujix
Administrator
Jun 29, 2017, 07:27
Reverted.